Subject: Re: FW: [Asrg] 0. General

From: Brad Knowles <[email-masked]>
Date: Sun, 26 Oct 2003 23:59:08 +0700

At 12:15 PM -0400 2003/10/23, David Maxwell wrote:

>  I can separate the emotional issues in that situation from the technical
>  problems caused by spam which are affecting all users of email. Can you?

	I'm saying that there may be the most grave real-world 
consequences to actions taken by this group, and that any proposal to 
deal with the overall spam situation needs to take these matters 
seriously.  Even if the propose solution neither helps nor hinders 
people in this kind of situation, we need to be explicit about this 
effect.  We especially need to be explicit about the consequences 
when we do either help or hinder.

>  Instead of using your energy to try to prevent progress in solving the
>  spam problem, why don't you use it to develop a system that supports a
>  solution to this problem you feel strongly about.

	I'm not trying to prevent progress.  I'm trying to point out that 
there may be unintended side-effects to the recommendations made by 
this group, and we need to keep things like this in mind during the 
process.

>  If someone _consents_ to receiving mail from these activists, they can
>  configure an SMTP (or other protocol which might be less likely to
>  be sniffed!) server to accept connections from anyone, anonymously.

	Connection analysis.  The CIA and KGB have been very good at 
doing this sort of thing.  You don't need to know the content of the 
communication itself -- just finding out who is talking to whom is 
usually enough.

	When you "fix" the protocol to remove this kind of ability, you 
need to keep in mind the potential consequences.

>  That in no way implies that everyone on the planet should be FORCED to
>  'consent' to accepting mail from anyone, anonymously.

	Agreed.  But you need to keep in mind the consequences.

-- 
Brad Knowles, <[email-masked]>

"They that can give up essential liberty to obtain a little temporary
safety deserve neither liberty nor safety."
     -Benjamin Franklin, Historical Review of Pennsylvania.

GCS/IT d+(-) s:+(++)>: a C++(+++)$ UMBSHI++++$ P+>++ L+ !E-(---) W+++(--) N+
!w--- O- M++ V PS++(+++) PE- Y+(++) PGP>+++ t+(+++) 5++(+++) X++(+++) R+(+++)
tv+(+++) b+(++++) DI+(++++) D+(++) G+(++++) e++>++++ h--- r---(+++)* z(+++)

_______________________________________________
Asrg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/asrg

---

From: Brad Knowles <[email-masked]>
Date: Thu, 23 Oct 2003 19:23:08 +0700

At 4:01 PM -0400 2003/10/22, David Maxwell wrote:

>  If the choice is between 'all mail servers are open, and all users must
>  accept spam' and 'mail servers authenticate connections in some way, and
>  activists need to create their own infrastructure to get messages out' -
>  I'll pick the second.

	Would you be willing to bet your life on that?  The life of your 
family and friends?  Would you be willing to have them tortured to 
death while you watch, because you made this bet?

>  To _whom_ are the activists sending their messages? Are they spamming
>  them to random recipients, or to known contacts? If to known contacts,
>  why can't they use encryption to hide the content. If they're spamming
>  to unconsenting recipients, how is that any different (technically) from
>  commercial spam?

	Encryption is usually highly illegal (as in, a capital offense) 
in those places where the human rights workers are most likely to be 
needed.  Yes, they can use steganography techniques to try to hide 
the crypto, but they're still taking a serious risk.

	You get caught with this sort of stuff, and you get declared an 
enemy of the state, guilt of spying and high treason.  And then you 
get executed.

	That's after they torture you and make you watch while they 
torture your family and friends to death.

---

From: Brad Knowles <[email-masked]>
Date: Thu, 23 Oct 2003 19:22:54 +0700

At 12:45 PM -0700 2003/10/22, Justin Mason wrote:

>  But IMO, something like the PGP remailers and/or hushmail are the key
>  systems to support this form of free speech -- it should *not* be part of
>  the core SMTP protocol.  Here's why:

	I disagree.  They are an important tool in the toolbox, but alone 
they are not sufficient to guarantee the security and privacy of that 
connection.  Until recently, penet.fi was believed to be a secure 
anonymous remailer -- until we found out that they'd been back-doored 
by the government.  Who knows how many other remailers have already 
been back-doored?

	Moreover, you don't need to completely back-door the remailer to 
compromise them -- you can watch traffic coming in and going out, and 
that alone will often tell you enough.  And there's no way that the 
remailers could prevent people from watching all incoming and 
outgoing traffic.

>  These can be volume-throttled, do not provide spammable bandwidth, or use
>  CAPTCHAs, so they become useless for bulk mail spamming -- but remain
>  *very* useful for free speech, since they *are* fully encrypted and
>  *designed* for whistleblowing activity.

	They remain very useful, so long as other options are not 
expressly eliminated by the protocol.  Once that happens, they become 
extremely vulnerable.